Index: branches/encoders/code/projects/libdragonfly/reset.c
===================================================================
--- branches/encoders/code/projects/libdragonfly/reset.c	(revision 1344)
+++ branches/encoders/code/projects/libdragonfly/reset.c	(revision 1345)
@@ -1,13 +1,37 @@
-/*
-reset.h - contains reset() function that resets the AVR
-author: James Kong
+/**
+ * Copyright (c) 2007 Colony Project
+ * 
+ * Permission is hereby granted, free of charge, to any person
+ * obtaining a copy of this software and associated documentation
+ * files (the "Software"), to deal in the Software without
+ * restriction, including without limitation the rights to use,
+ * copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the
+ * Software is furnished to do so, subject to the following
+ * conditions:
+ * 
+ * The above copyright notice and this permission notice shall be
+ * included in all copies or substantial portions of the Software.
+ * 
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+ * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
+ * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+ * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
+ * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
+ * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+ * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
+ * OTHER DEALINGS IN THE SOFTWARE.
+ **/
 
-Last Modified:
 
-3.7.2007 - James
-    created reset.c
-*/
-
+/**
+ * @file reset
+ * @brief Reset the Robot
+ *
+ * Implementation of a function to reset the robot.
+ *
+ * @author Colony Project, CMU Robotics Club
+ **/
 #include <avr/interrupt.h>
 #include <util/delay.h>
 #include <reset.h>
@@ -27,9 +51,10 @@
  * and Status Register (MCUCSR).
  **/
 void reset(void) {
-    WDTCR &= 0xF8;
-    WDTCR |= 0x08;
-    _delay_ms(15);
+  WDTCR &= 0xF8;
+  WDTCR |= 0x08;
+  _delay_ms(15);
 }
 
 /**@}**/ //end defgroup
+
Index: branches/encoders/code/projects/libdragonfly/bom.h
===================================================================
--- branches/encoders/code/projects/libdragonfly/bom.h	(revision 1344)
+++ branches/encoders/code/projects/libdragonfly/bom.h	(revision 1345)
@@ -1,4 +1,30 @@
 /**
+ * Copyright (c) 2007 Colony Project
+ * 
+ * Permission is hereby granted, free of charge, to any person
+ * obtaining a copy of this software and associated documentation
+ * files (the "Software"), to deal in the Software without
+ * restriction, including without limitation the rights to use,
+ * copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the
+ * Software is furnished to do so, subject to the following
+ * conditions:
+ * 
+ * The above copyright notice and this permission notice shall be
+ * included in all copies or substantial portions of the Software.
+ * 
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+ * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
+ * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+ * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
+ * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
+ * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+ * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
+ * OTHER DEALINGS IN THE SOFTWARE.
+ **/
+
+
+/**
  * @file bom.h
  * @brief Definitions for using the BOM
  * 
@@ -16,12 +42,42 @@
  * @addtogroup bom
  * @{
  **/
+ 
+/** @brief Include all elements in the 16-bit bitfield **/
+#define BOM_ALL 0xFFFF
 
-/** @brief Returns the location of the maximum BOM reading. **/
-int get_max_bom( void );
-/** @brief Turns the BOM on. **/
+/** @brief Original BOM - No Range, No Individual LED control **/
+#define BOM10     0
+
+/** @brief BOM 1.5 - No Range, Individual LED control **/
+#define BOM15   1
+
+/** @brief RBOM - Range, Individual LED control **/
+#define RBOM    2
+
+
+/** @brief Initialize the bom according to bom type **/
+void bom_init(char type);
+
+/** @brief Refresh bom_val[] with new values from analog8.  analog_init and bom_init must be called for this to work. **/
+void bom_refresh(int bit_field);
+
+/** @brief Gets the bom reading from bom_val[which].  Call bom_refresh beforehand to read new bom values. **/
+int bom_get(int which);
+
+/** @brief Compares all the values in bom_val[] and returns the index to the highest value element. **/
+int bom_get_max(void);
+
+/** @brief Enables the selected bom leds on a BOM1.5 **/
+void bom_set_leds(int bit_field);
+
+/** @brief (DEPRECATED) Gets and compares all bom values.  Returns the index to the highest value element. **/
+int get_max_bom(void);
+
+/** @brief Turns on all BOM leds, or turns on enabled leds on a BOM1.5. **/
 void bom_on(void);
-/** @brief Turns the BOM off. **/
+
+/** @brief Turns off all bom leds. **/
 void bom_off(void);
 
 /** @} **/
Index: branches/encoders/code/projects/libdragonfly/rangefinder.c
===================================================================
--- branches/encoders/code/projects/libdragonfly/rangefinder.c	(revision 1344)
+++ branches/encoders/code/projects/libdragonfly/rangefinder.c	(revision 1345)
@@ -1,25 +1,60 @@
+/**
+ * Copyright (c) 2007 Colony Project
+ * 
+ * Permission is hereby granted, free of charge, to any person
+ * obtaining a copy of this software and associated documentation
+ * files (the "Software"), to deal in the Software without
+ * restriction, including without limitation the rights to use,
+ * copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the
+ * Software is furnished to do so, subject to the following
+ * conditions:
+ * 
+ * The above copyright notice and this permission notice shall be
+ * included in all copies or substantial portions of the Software.
+ * 
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+ * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
+ * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+ * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
+ * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
+ * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+ * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
+ * OTHER DEALINGS IN THE SOFTWARE.
+ **/
+
+
+/**
+ * @file rangefinder.c
+ * @brief Rangefinders
+ *
+ * Implementation of functions for rangefinder use.
+ *
+ * @author Colony Project, CMU Robotics Club
+ **/
+
 /*
-Authors: James Kong and Greg Tress
+  Authors: James Kong and Greg Tress
 
-Last Modified: 4/30/06 by James
--Started log_distance conversion function !!!NOT COMPLETE!!!
--Cleaning up comments
+  Last Modified: 4/30/06 by James
+  -Started log_distance conversion function !!!NOT COMPLETE!!!
+  -Cleaning up comments
 
------------------
-rangefinder.c
-Using Sharp GP2D02 IR Rangefinder
+  -----------------
+  rangefinder.c
+  Using Sharp GP2D02 IR Rangefinder
 
-Vin is the input to the rangefinder, designated RANGE_CTRL.
-Vout is the output from the rangefinder, designated RANGE_IN# where # is the rangefinder you are reading from
+  Vin is the input to the rangefinder, designated RANGE_CTRL.
+  Vout is the output from the rangefinder, designated RANGE_IN# where # is the rangefinder you are reading from
 
-Expected Initial Conditions:
-Vin is high and Vout should read high.
+  Expected Initial Conditions:
+  Vin is high and Vout should read high.
 
-Usage:
-1.) Set Vin low. Vout should read low.
-2.) Wait for high on Vout.
-3.) Begin clocking Vin and reading 8 bits from Vout (MSB first).
-4.) Set Vin high for 2ms or more to turn off rangefinder
+  Usage:
+  1.) Set Vin low. Vout should read low.
+  2.) Wait for high on Vout.
+  3.) Begin clocking Vin and reading 8 bits from Vout (MSB first).
+  4.) Set Vin high for 2ms or more to turn off rangefinder
 
 */
 
@@ -27,28 +62,27 @@
 #include "rangefinder.h"
 
 /*
-read_distance returns the 8-bit reading from the rangefinder
-parameters:
-range_id - dio pin set as the rangefinder Vout [i.e. RANGE_IN0]
+  read_distance returns the 8-bit reading from the rangefinder
+  parameters:
+  range_id - dio pin set as the rangefinder Vout [i.e. RANGE_IN0]
 
-NOTE:
-The Sharp GD2D02 returns values on a decreasing logrithmic scale.
-So higher values correspond to closer distances.  Use linearize_distance to convert to normal centimeter scale.
-Also, when reading distances closer than 8cm, the Sharp GD2D02 will return lower values than the values at 8cm.
-At this point, we are only reading from one rangefinder [RANGE_IN0].
+  NOTE:
+  The Sharp GD2D02 returns values on a decreasing logrithmic scale.
+  So higher values correspond to closer distances.  Use linearize_distance to convert to normal centimeter scale.  Also, when reading distances closer than 8cm, the Sharp GD2D02 will return lower values than the values at 8cm.
+  At this point, we are only reading from one rangefinder [RANGE_IN0].
 */
 
 // constants
 /* Nasty IR approximation table
-  I'm using this for the heck of it.  We can do whatever.
+   I'm using this for the heck of it.  We can do whatever.
 
-  Note the minimum value is .4V (20), and the maximum is 2.6V (133).
-  Gives distance in mm.
+   Note the minimum value is .4V (20), and the maximum is 2.6V (133).
+   Gives distance in mm.
 
-  excel formula(valid for inputs 20-133):  ROUND(2353.6*(E2^(-1.1146))*10,0)
+   excel formula(valid for inputs 20-133):  ROUND(2353.6*(E2^(-1.1146))*10,0)
 
-  This is only valid for the GP2D12, with objects directly ahead and more than
-  10cm from the detector.  See the datasheet for more information.
+   This is only valid for the GP2D12, with objects directly ahead and more than
+   10cm from the detector.  See the datasheet for more information.
 */
 
 #define MIN_IR_ADC8 20
@@ -55,14 +89,14 @@
 #define MAX_IR_ADC8 133
 
 static int IR_dist_conversion[114] = {
-800,791,751,714,681,651,623,597,574,552,531,512,494,478,462,447
-,434,421,408,397,386,375,365,356,347,338,330,322,315,307,301,294
-,288,282,276,270,265,260,255,250,245,241,237,232,228,224,221,217
-,213,210,207,203,200,197,194,191,189,186,183,181,178,176,173,171
-,169,166,164,162,160,158,156,154,152,151,149,147,145,144,142,140
-,139,137,136,134,133,131,130,129,127,126,125,124,122,121,120,119
-,118,117,115,114,113,112,111,110,109,108,107,106,105,105,104,103
-,102,101
+  800,791,751,714,681,651,623,597,574,552,531,512,494,478,462,447
+  ,434,421,408,397,386,375,365,356,347,338,330,322,315,307,301,294
+  ,288,282,276,270,265,260,255,250,245,241,237,232,228,224,221,217
+  ,213,210,207,203,200,197,194,191,189,186,183,181,178,176,173,171
+  ,169,166,164,162,160,158,156,154,152,151,149,147,145,144,142,140
+  ,139,137,136,134,133,131,130,129,127,126,125,124,122,121,120,119
+  ,118,117,115,114,113,112,111,110,109,108,107,106,105,105,104,103
+  ,102,101
 };
 
 int linearize_distance(int value);
@@ -82,7 +116,8 @@
  *
  * @see range_read_distance
  **/
-void range_init(void){
+void range_init(void)
+{
   digital_output(_PIN_B4,0);
 }
 
@@ -97,27 +132,18 @@
  *
  * @see range_init
  **/
-int range_read_distance (int range_id) {  
+int range_read_distance (int range_id) {
   return linearize_distance(analog8(range_id));
 }
 
 /** @} **/ //end defgroup
 
-int linearize_distance(int value)
-{
-  if(value < MIN_IR_ADC8)
-  {
+int linearize_distance(int value) {
+  if(value < MIN_IR_ADC8) {
     return -1;
-  }
-  else if(value > MAX_IR_ADC8)
-  {
+  } else if(value > MAX_IR_ADC8) {
     return -1;
-  }
-  else
-  {
+  } else {
     return IR_dist_conversion[value - MIN_IR_ADC8];
   }
 }
-
-
-
Index: branches/encoders/code/projects/libdragonfly/reset.h
===================================================================
--- branches/encoders/code/projects/libdragonfly/reset.h	(revision 1344)
+++ branches/encoders/code/projects/libdragonfly/reset.h	(revision 1345)
@@ -1,10 +1,36 @@
 /**
+ * Copyright (c) 2007 Colony Project
  * 
+ * Permission is hereby granted, free of charge, to any person
+ * obtaining a copy of this software and associated documentation
+ * files (the "Software"), to deal in the Software without
+ * restriction, including without limitation the rights to use,
+ * copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the
+ * Software is furnished to do so, subject to the following
+ * conditions:
+ * 
+ * The above copyright notice and this permission notice shall be
+ * included in all copies or substantial portions of the Software.
+ * 
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+ * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
+ * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+ * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
+ * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
+ * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+ * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
+ * OTHER DEALINGS IN THE SOFTWARE.
+ **/
+
+
+/**
+ * 
  * @file reset.h
  * @brief Contains function(s) for resetting the robots
  * 
  * @author Colony Project, CMU Robotics Club, James Kong
-*/
+ */
 
 #ifndef _RESET_H_
 #define _RESET_H_
Index: branches/encoders/code/projects/libdragonfly/rangefinder.h
===================================================================
--- branches/encoders/code/projects/libdragonfly/rangefinder.h	(revision 1344)
+++ branches/encoders/code/projects/libdragonfly/rangefinder.h	(revision 1345)
@@ -1,4 +1,30 @@
 /**
+ * Copyright (c) 2007 Colony Project
+ * 
+ * Permission is hereby granted, free of charge, to any person
+ * obtaining a copy of this software and associated documentation
+ * files (the "Software"), to deal in the Software without
+ * restriction, including without limitation the rights to use,
+ * copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the
+ * Software is furnished to do so, subject to the following
+ * conditions:
+ * 
+ * The above copyright notice and this permission notice shall be
+ * included in all copies or substantial portions of the Software.
+ * 
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+ * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
+ * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+ * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
+ * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
+ * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+ * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
+ * OTHER DEALINGS IN THE SOFTWARE.
+ **/
+
+
+/**
  * @file rangefinder.h
  * @brief Contains rangefinder declarations and functions
  * 
